diff --git a/src/main/java/net/minecraft/core/block/BlockBrazier.java b/src/main/java/net/minecraft/core/block/BrazierBlock.java
similarity index 53%
rename from src/main/java/net/minecraft/core/block/BlockBrazier.java
rename to src/main/java/net/minecraft/core/block/BrazierBlock.java
index c73e3aa86..17caff351 100644
--- a/src/main/java/net/minecraft/core/block/BlockBrazier.java
+++ b/src/main/java/net/minecraft/core/block/BrazierBlock.java
@@ -1,10 +1,10 @@
 package net.minecraft.core.block;
 
-import net.minecraft.core.block.entity.TileEntity;
+import net.minecraft.core.block.entity.BlockEntity;
 import net.minecraft.core.block.material.Material;
-import net.minecraft.core.entity.player.EntityPlayer;
+import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.enums.EnumDropCause;
-import net.minecraft.core.item.ItemFirestriker;
+import net.minecraft.core.item.FireStrikerItem;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.sound.SoundCategory;
 import net.minecraft.core.util.helper.Side;
@@ -12,12 +12,12 @@ import net.minecraft.core.world.World;
 
 import java.util.Random;
 
-public class BlockBrazier
+public class BrazierBlock
     extends Block {
     private final boolean burning;
 
-    public BlockBrazier(String key, int id, boolean burning) {
-        super(key, id, Material.metal);
+    public BrazierBlock(String key, String namespaceId, int id, boolean burning) {
+        super(key, namespaceId, id, Material.metal);
         this.burning = burning;
     }
 
@@ -26,7 +26,7 @@ public class BlockBrazier
     }
 
     @Override
-    public boolean renderAsNormalBlock() {
+    public boolean isCubeShaped() {
         return false;
     }
 
@@ -36,27 +36,27 @@ public class BlockBrazier
     }
 
     @Override
-    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int x, int y, int z, int meta, TileEntity tileEntity) {
-        return new ItemStack[] { new ItemStack(Block.brazierInactive, 1) };
+    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int x, int y, int z, int meta, BlockEntity blockEntity) {
+        return new ItemStack[] { new ItemStack(Blocks.BRAZIER_INACTIVE, 1) };
     }
 
     @Override
-    public boolean onBlockRightClicked(World world, int x, int y, int z, EntityPlayer player, Side side, double xPlaced, double yPlaced) {
+    public boolean onBlockRightClicked(World world, int x, int y, int z, Player player, Side side, double xPlaced, double yPlaced) {
         ItemStack heldItem = player.getHeldItem();
-        if (heldItem != null && heldItem.getItem() instanceof ItemFirestriker && !burning) {
-            if (world.getBlock(x + 1, y, z) instanceof BlockFluid ||
-                world.getBlock(x - 1, y, z) instanceof BlockFluid ||
-                world.getBlock(x, y, z + 1) instanceof BlockFluid ||
-                world.getBlock(x, y, z - 1) instanceof BlockFluid) {
+        if (heldItem != null && heldItem.getItem() instanceof FireStrikerItem && !burning) {
+            if (world.getBlock(x + 1, y, z) instanceof FluidBlock ||
+                world.getBlock(x - 1, y, z) instanceof FluidBlock ||
+                world.getBlock(x, y, z + 1) instanceof FluidBlock ||
+                world.getBlock(x, y, z - 1) instanceof FluidBlock) {
                 return false;
             }
-            world.setBlockAndMetadataWithNotify(x, y, z, Block.brazierActive.id, 0);
+            world.setBlockAndMetadataWithNotify(x, y, z, Blocks.BRAZIER_ACTIVE.id, 0);
             heldItem.damageItem(1, player);
             world.playSoundEffect(null, SoundCategory.WORLD_SOUNDS, (double) x + 0.5D, (double) y + 0.5D, (double) z + 0.5D, "fire.ignite", 1.0F, world.rand.nextFloat() * 0.4F + 0.8F);
             return true;
         }
         if (heldItem == null && burning) {
-            world.setBlockAndMetadataWithNotify(x, y, z, Block.brazierInactive.id, 0);
+            world.setBlockAndMetadataWithNotify(x, y, z, Blocks.BRAZIER_INACTIVE.id, 0);
             return true;
         }
 
@@ -66,7 +66,7 @@ public class BlockBrazier
     @Override
     public void onBlockRemoved(World world, int x, int y, int z, int data) {
         if (burning) {
-            Block.fire.onBlockRemoved(world, x, y, z, data);
+            Blocks.FIRE.onBlockRemoved(world, x, y, z, data);
         }
     }
 
@@ -74,15 +74,15 @@ public class BlockBrazier
     public void onNeighborBlockChange(World world, int x, int y, int z, int blockId) {
         if (!burning) return;
         Block block = Block.blocksList[blockId];
-        if (block instanceof BlockFluid) {
-            world.setBlockAndMetadataWithNotify(x, y, z, Block.brazierInactive.id, 0);
+        if (block instanceof FluidBlock) {
+            world.setBlockAndMetadataWithNotify(x, y, z, Blocks.BRAZIER_INACTIVE.id, 0);
         }
     }
 
     @Override
-    public void randomDisplayTick(World world, int x, int y, int z, Random rand) {
+    public void animationTick(World world, int x, int y, int z, Random rand) {
         if (burning) {
-            Block.fire.randomDisplayTick(world, x, y, z, rand);
+            Blocks.FIRE.animationTick(world, x, y, z, rand);
         }
     }
 }
diff --git a/src/main/java/net/minecraft/core/block/BlockButton.java b/src/main/java/net/minecraft/core/block/ButtonBlock.java
similarity index 83%
rename from src/main/java/net/minecraft/core/block/BlockButton.java
rename to src/main/java/net/minecraft/core/block/ButtonBlock.java
index 4fc0ae902..4f98b6905 100644
--- a/src/main/java/net/minecraft/core/block/BlockButton.java
+++ b/src/main/java/net/minecraft/core/block/ButtonBlock.java
@@ -1,8 +1,8 @@
 package net.minecraft.core.block;
 
 import net.minecraft.core.block.material.Material;
-import net.minecraft.core.entity.EntityLiving;
-import net.minecraft.core.entity.player.EntityPlayer;
+import net.minecraft.core.entity.Mob;
+import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.enums.EnumDropCause;
 import net.minecraft.core.item.Item;
 import net.minecraft.core.item.tag.ItemTags;
@@ -16,14 +16,14 @@ import java.util.Random;
 
 // Referenced classes of package net.minecraft.src:
 //            Block, Material, World, IBlockAccess, 
-//            AxisAlignedBB, EntityPlayer
+//            AxisAlignedBB, Player
 
-public class BlockButton extends Block
+public class ButtonBlock extends Block
 {
 
-	public BlockButton(String key, int id)
+	public ButtonBlock(String key, String namespaceId, int id)
     {
-        super(key, id, Material.decoration);
+        super(key, namespaceId, id, Material.decoration);
         setTicking(true);
     }
 
@@ -34,7 +34,7 @@ public class BlockButton extends Block
     }
 
     @Override
-    public int tickRate()
+    public int tickDelay()
     {
         return 20;
     }
@@ -46,33 +46,15 @@ public class BlockButton extends Block
     }
 
     @Override
-	public boolean renderAsNormalBlock()
+	public boolean isCubeShaped()
     {
         return false;
     }
 
     @Override
-    public boolean canPlaceBlockOnSide(World world, int x, int y, int z, int side)
-    {
-        if (side == 0 && world.isBlockNormalCube(x, y + 1, z)){
-            return true;
-        }
-        else if (side == 1 && world.isBlockNormalCube(x, y - 1, z)){
-            return true;
-        }
-        else if(side == 2 && world.isBlockNormalCube(x, y, z + 1))
-        {
-            return true;
-        }
-        if(side == 3 && world.isBlockNormalCube(x, y, z - 1))
-        {
-            return true;
-        }
-        if(side == 4 && world.isBlockNormalCube(x + 1, y, z))
-        {
-            return true;
-        }
-        return side == 5 && world.isBlockNormalCube(x - 1, y, z);
+    public boolean canPlaceBlockOnSide(World world, int x, int y, int z, Side side) {
+        Side checkSide = side.getOpposite();
+        return world.isBlockNormalCube(x + checkSide.getOffsetX(), y + checkSide.getOffsetY(), z + checkSide.getOffsetZ());
     }
 
     @Override
@@ -102,7 +84,7 @@ public class BlockButton extends Block
     }
     
     @Override
-    public void onBlockPlaced(World world, int x, int y, int z, Side side, EntityLiving entity, double sideHeight) {
+    public void onBlockPlacedByMob(World world, int x, int y, int z, Side side, Mob mob, double sideHeight) {
         int i1 = world.getBlockMetadata(x, y, z);
         int j1 = i1 & 8;
         i1 &= 7;
@@ -233,7 +215,7 @@ public class BlockButton extends Block
     }
 
     @Override
-    public void onBlockLeftClicked(World world, int x, int y, int z, EntityPlayer player, Side side, double xHit, double yHit)
+    public void onBlockLeftClicked(World world, int x, int y, int z, Player player, Side side, double xHit, double yHit)
     {
     	if(!Item.hasTag(player.getCurrentEquippedItem(), ItemTags.PREVENT_LEFT_CLICK_INTERACTIONS)) {
     		onBlockRightClicked(world, x, y, z, player, null, 0.0, 0.0);
@@ -241,7 +223,7 @@ public class BlockButton extends Block
     }
 
     @Override
-    public boolean onBlockRightClicked(World world, int x, int y, int z, EntityPlayer player, Side side, double xPlaced, double yPlaced)
+    public boolean onBlockRightClicked(World world, int x, int y, int z, Player player, Side side, double xPlaced, double yPlaced)
     {
         int l = world.getBlockMetadata(x, y, z);
         int i1 = l & 7;
@@ -267,7 +249,7 @@ public class BlockButton extends Block
         } else {
             world.notifyBlocksOfNeighborChange(x, y - 1, z, id);
         }
-        world.scheduleBlockUpdate(x, y, z, id, tickRate());
+        world.scheduleBlockUpdate(x, y, z, id, tickDelay());
         return true;
     }
 
@@ -296,45 +278,39 @@ public class BlockButton extends Block
     }
 
     @Override
-    public boolean isPoweringTo(WorldSource blockAccess, int x, int y, int z, int side)
+    public boolean getSignal(WorldSource blockAccess, int x, int y, int z, Side side)
     {
         return (blockAccess.getBlockMetadata(x, y, z) & 8) > 0;
     }
 
     @Override
-    public boolean isIndirectlyPoweringTo(World world, int x, int y, int z, int side)
+    public boolean getDirectSignal(World world, int x, int y, int z, Side side)
     {
-        int i1 = world.getBlockMetadata(x, y, z);
-        if((i1 & 8) == 0)
-        {
+        int meta = world.getBlockMetadata(x, y, z);
+        if((meta & 8) == 0) {
             return false;
         }
-        int j1 = i1 & 7;
-        if(j1 == 6 && side == 1)
-        {
+        int direction = meta & 7;
+        if(direction == 6 && side == Side.TOP) {
             return true;
         }
-        if(j1 == 5 && side == 0)
-        {
+        if(direction == 5 && side == Side.BOTTOM) {
             return true;
         }
-        if(j1 == 4 && side == 2)
-        {
+        if(direction == 4 && side == Side.NORTH) {
             return true;
         }
-        if(j1 == 3 && side == 3)
-        {
+        if(direction == 3 && side == Side.SOUTH) {
             return true;
         }
-        if(j1 == 2 && side == 4)
-        {
+        if(direction == 2 && side == Side.WEST) {
             return true;
         }
-        return j1 == 1 && side == 5;
+        return direction == 1 && side == Side.EAST;
     }
 
     @Override
-    public boolean canProvidePower()
+    public boolean isSignalSource()
     {
         return true;
     }
diff --git a/src/main/java/net/minecraft/core/block/BlockLeavesCacao.java b/src/main/java/net/minecraft/core/block/CacaoLeavesBlock.java
similarity index 75%
rename from src/main/java/net/minecraft/core/block/BlockLeavesCacao.java
rename to src/main/java/net/minecraft/core/block/CacaoLeavesBlock.java
index 0fdba8fcf..6f0b950e8 100644
--- a/src/main/java/net/minecraft/core/block/BlockLeavesCacao.java
+++ b/src/main/java/net/minecraft/core/block/CacaoLeavesBlock.java
@@ -1,11 +1,11 @@
 package net.minecraft.core.block;
 
-import net.minecraft.core.block.entity.TileEntity;
+import net.minecraft.core.block.entity.BlockEntity;
 import net.minecraft.core.block.material.Material;
-import net.minecraft.core.entity.player.EntityPlayer;
+import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.enums.EnumDropCause;
 import net.minecraft.core.item.IBonemealable;
-import net.minecraft.core.item.Item;
+import net.minecraft.core.item.Items;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.util.helper.Side;
@@ -14,11 +14,11 @@ import net.minecraft.core.world.season.Seasons;
 
 import java.util.Random;
 
-public class BlockLeavesCacao extends BlockLeavesBase implements IBonemealable {
+public class CacaoLeavesBlock extends BaseLeavesBlock implements IBonemealable {
 
     static final int BEAN_GROWTH_RATE = 50;
-    public BlockLeavesCacao(String key, int id) {
-        super(key, id, Material.leaves);
+    public CacaoLeavesBlock(String key, String namespaceId, int id) {
+        super(key, namespaceId, id, Material.leaves);
         setTicking(true);
     }
 
@@ -34,27 +34,27 @@ public class BlockLeavesCacao extends BlockLeavesBase implements IBonemealable {
     }
 
     @Override
-    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int x, int y, int z, int meta, TileEntity tileEntity)
+    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int x, int y, int z, int meta, BlockEntity blockEntity)
     {
         int growthRate = (meta & 0xF0) >> 4;
         if (dropCause == EnumDropCause.PICK_BLOCK || dropCause == EnumDropCause.SILK_TOUCH) return new ItemStack[] { new ItemStack(this) };
 
         if (growthRate > 1)
         {
-            return new ItemStack[] { new ItemStack(Item.dye, MathHelper.floor_double((double) growthRate / 2), 3)};
+            return new ItemStack[] { new ItemStack(Items.DYE, MathHelper.floor((double) growthRate / 2), 3)};
         }
 
-        return super.getBreakResult(world, dropCause, x, y, z, meta,tileEntity);
+        return super.getBreakResult(world, dropCause, x, y, z, meta, blockEntity);
     }
 
     @Override
-    public void onBlockLeftClicked(World world, int x, int y, int z, EntityPlayer player, Side side, double xHit, double yHit)
+    public void onBlockLeftClicked(World world, int x, int y, int z, Player player, Side side, double xHit, double yHit)
     {
         onBlockRightClicked(world, x, y, z, player, null, 0.0, 0.0);
     }
 
     @Override
-    public boolean onBlockRightClicked(World world, int x, int y, int z, EntityPlayer player, Side side, double xPlaced, double yPlaced)
+    public boolean onBlockRightClicked(World world, int x, int y, int z, Player player, Side side, double xPlaced, double yPlaced)
     {
         int meta = world.getBlockMetadata(x, y, z);
         int decayData = meta & 0x0F;
@@ -67,7 +67,7 @@ public class BlockLeavesCacao extends BlockLeavesBase implements IBonemealable {
                 dropBlockWithCause(world, EnumDropCause.WORLD, x, y, z, meta, null);
             }
             world.setBlockMetadataWithNotify(x, y, z, decayData);
-            world.scheduleBlockUpdate(x, y, z, leavesCacao.id, tickRate());
+            world.scheduleBlockUpdate(x, y, z, Blocks.LEAVES_CACAO.id, tickDelay());
             return true;
         }
         return super.onBlockRightClicked(world, x, y, z, player, side, xPlaced, yPlaced);
@@ -83,24 +83,24 @@ public class BlockLeavesCacao extends BlockLeavesBase implements IBonemealable {
                 if (canBeansGrow(world, x, y, z)) {
                     if ((growthRate) < 4) {
                         world.setBlockMetadataWithNotify(x, y, z, (++growthRate) << 4 | meta);
-                        world.scheduleBlockUpdate(x, y, z, leavesCacao.id, tickRate());
+                        world.scheduleBlockUpdate(x, y, z, Blocks.LEAVES_CACAO.id, tickDelay());
                     }
                 }
             }
             else if(growthRate > 0){
                 world.setBlockMetadataWithNotify(x, y, z, meta & 0X0F);
-                world.scheduleBlockUpdate(x, y, z, leavesCacao.id, tickRate());
+                world.scheduleBlockUpdate(x, y, z, Blocks.LEAVES_CACAO.id, tickDelay());
             }
         }
     }
 
     @Override
     protected Block getSapling() {
-        return Block.saplingCacao;
+        return Blocks.SAPLING_CACAO;
     }
 
     @Override
-    public boolean onBonemealUsed(ItemStack itemstack, EntityPlayer entityplayer, World world, int blockX, int blockY, int blockZ, Side side, double xPlaced, double yPlaced) {
+    public boolean onBonemealUsed(ItemStack itemstack, Player entityplayer, World world, int blockX, int blockY, int blockZ, Side side, double xPlaced, double yPlaced) {
         int meta = world.getBlockMetadata(blockX, blockY, blockZ);
         if(((meta & 0xF0) >> 4) < 4)
         {
diff --git a/src/main/java/net/minecraft/core/block/BlockCactus.java b/src/main/java/net/minecraft/core/block/CactusBlock.java
similarity index 78%
rename from src/main/java/net/minecraft/core/block/BlockCactus.java
rename to src/main/java/net/minecraft/core/block/CactusBlock.java
index 76535c0ae..2e091d5ea 100644
--- a/src/main/java/net/minecraft/core/block/BlockCactus.java
+++ b/src/main/java/net/minecraft/core/block/CactusBlock.java
@@ -2,10 +2,10 @@ package net.minecraft.core.block;
 
 import net.minecraft.core.block.tag.BlockTags;
 import net.minecraft.core.entity.Entity;
-import net.minecraft.core.entity.EntityLiving;
-import net.minecraft.core.entity.player.EntityPlayer;
-import net.minecraft.core.entity.vehicle.EntityBoat;
-import net.minecraft.core.entity.vehicle.EntityMinecart;
+import net.minecraft.core.entity.Mob;
+import net.minecraft.core.entity.player.Player;
+import net.minecraft.core.entity.vehicle.BoatEntity;
+import net.minecraft.core.entity.vehicle.MinecartEntity;
 import net.minecraft.core.enums.EnumDropCause;
 import net.minecraft.core.item.IBonemealable;
 import net.minecraft.core.item.ItemStack;
@@ -22,15 +22,15 @@ import java.util.Random;
 //            Block, Material, World, AxisAlignedBB, 
 //            Entity
 
-public class BlockCactus extends Block implements IBonemealable
+public class CactusBlock extends Block implements IBonemealable
 {
 
-	public BlockCactus(String key, int id)
+	public CactusBlock(String key, String namespaceId, int id)
     {
-        super(key, id, Material.cactus);
+        super(key, namespaceId, id, Material.cactus);
         setTicking(true);
     }
-    public void onBlockAdded(World world, int x, int y, int z)
+    public void onBlockPlacedByWorld(World world, int x, int y, int z)
     {
         onNeighborBlockChange(world, x, y, z, 0);
     }
@@ -73,18 +73,18 @@ public class BlockCactus extends Block implements IBonemealable
 	public AABB getCollisionBoundingBoxFromPool(WorldSource world, int x, int y, int z)
     {
         float f = 0.0625F;
-        return AABB.getBoundingBoxFromPool((float) x + f, y, (float) z + f, (float)(x + 1) - f, (float)(y + 1) - f, (float)(z + 1) - f);
+        return AABB.getTemporaryBB((float) x + f, y, (float) z + f, (float)(x + 1) - f, (float)(y + 1) - f, (float)(z + 1) - f);
     }
 
     @Override
     public AABB getSelectedBoundingBoxFromPool(WorldSource world, int x, int y, int z)
     {
         float f = 0.0625F;
-        return AABB.getBoundingBoxFromPool((float) x + f, y, (float) z + f, (float)(x + 1) - f, y + 1, (float)(z + 1) - f);
+        return AABB.getTemporaryBB((float) x + f, y, (float) z + f, (float)(x + 1) - f, y + 1, (float)(z + 1) - f);
     }
 
     @Override
-	public boolean renderAsNormalBlock()
+	public boolean isCubeShaped()
     {
         return false;
     }
@@ -144,16 +144,16 @@ public class BlockCactus extends Block implements IBonemealable
     @Override
     public void onEntityCollidedWithBlock(World world, int x, int y, int z, Entity entity)
     {
-        if(entity instanceof EntityLiving || entity instanceof EntityMinecart || entity instanceof EntityBoat) {
+        if(entity instanceof Mob || entity instanceof MinecartEntity || entity instanceof BoatEntity) {
         	entity.hurt(null, 1, DamageType.COMBAT);
         }
     }
 
     @Override
-    public boolean onBonemealUsed(ItemStack itemstack, EntityPlayer entityplayer, World world, int blockX, int blockY, int blockZ, Side side, double xPlaced, double yPlaced) {
+    public boolean onBonemealUsed(ItemStack itemstack, Player entityplayer, World world, int blockX, int blockY, int blockZ, Side side, double xPlaced, double yPlaced) {
         if(!world.isClientSide)
         {
-            ((BlockCactus)Block.blocksList[id]).growCactusOnTop(world, blockX, blockY, blockZ);
+            ((CactusBlock)Block.blocksList[id]).growCactusOnTop(world, blockX, blockY, blockZ);
             if (entityplayer.getGamemode().consumeBlocks())
             {
                 itemstack.stackSize--;
diff --git a/src/main/java/net/minecraft/core/block/BlockCake.java b/src/main/java/net/minecraft/core/block/CakeBlock.java
similarity index 67%
rename from src/main/java/net/minecraft/core/block/BlockCake.java
rename to src/main/java/net/minecraft/core/block/CakeBlock.java
index 8dc8b2ec7..d0ac974af 100644
--- a/src/main/java/net/minecraft/core/block/BlockCake.java
+++ b/src/main/java/net/minecraft/core/block/CakeBlock.java
@@ -1,15 +1,15 @@
 package net.minecraft.core.block;
 
-import net.minecraft.core.item.Item;
+import net.minecraft.core.item.Items;
 import net.minecraft.core.util.phys.AABB;
 import net.minecraft.core.world.WorldSource;
 
-public class BlockCake extends BlockEdible
+public class CakeBlock extends EdibleBlock
 {
 
-	public BlockCake(String key, int id)
+	public CakeBlock(String key, String namespaceId, int id)
     {
-        super(key, id, 6, 3, () -> Item.foodCake);
+        super(key, namespaceId, id, 6, 3, () -> Items.FOOD_CAKE);
     }
 
     @Override
@@ -29,7 +29,7 @@ public class BlockCake extends BlockEdible
         float f = 0.0625F;
         float f1 = (float)(1 + l * 2) / 16F;
         float f2 = 0.5F;
-        return AABB.getBoundingBoxFromPool((float) x + f1, y, (float) z + f, (float)(x + 1) - f, ((float) y + f2) - f, (float)(z + 1) - f);
+        return AABB.getTemporaryBB((float) x + f1, y, (float) z + f, (float)(x + 1) - f, ((float) y + f2) - f, (float)(z + 1) - f);
     }
 
     @Override
@@ -39,7 +39,7 @@ public class BlockCake extends BlockEdible
         float f = 0.0625F;
         float f1 = (float)(1 + l * 2) / 16F;
         float f2 = 0.5F;
-        return AABB.getBoundingBoxFromPool((float) x + f1, y, (float) z + f, (float)(x + 1) - f, (float) y + f2, (float)(z + 1) - f);
+        return AABB.getTemporaryBB((float) x + f1, y, (float) z + f, (float)(x + 1) - f, (float) y + f2, (float)(z + 1) - f);
     }
 
 }
diff --git a/src/main/java/net/minecraft/core/block/BlockCandle.java b/src/main/java/net/minecraft/core/block/CandleBlock.java
similarity index 81%
rename from src/main/java/net/minecraft/core/block/BlockCandle.java
rename to src/main/java/net/minecraft/core/block/CandleBlock.java
index fe9b40831..4c5b09147 100644
--- a/src/main/java/net/minecraft/core/block/BlockCandle.java
+++ b/src/main/java/net/minecraft/core/block/CandleBlock.java
@@ -1,6 +1,6 @@
 package net.minecraft.core.block;
 
-import net.minecraft.core.block.entity.TileEntity;
+import net.minecraft.core.block.entity.BlockEntity;
 import net.minecraft.core.util.phys.AABB;
 import net.minecraft.core.enums.EnumDropCause;
 import net.minecraft.core.block.material.Material;
@@ -10,11 +10,11 @@ import net.minecraft.core.world.WorldSource;
 
 import java.util.Random;
 
-public class BlockCandle extends Block
+public class CandleBlock extends Block
 {
-    public BlockCandle(String key, int id, Material material)
+    public CandleBlock(String key, String namespaceId, int id, Material material)
     {
-        super(key, id, material);
+        super(key, namespaceId, id, material);
         setTicking(true);
 
         setBlockBounds(0.5f - 1.5f/16f, 0f, 0.5f - 1.5f/16f,
@@ -34,7 +34,7 @@ public class BlockCandle extends Block
     }
 
     @Override
-    public boolean renderAsNormalBlock()
+    public boolean isCubeShaped()
     {
         return false;
     }
@@ -61,13 +61,13 @@ public class BlockCandle extends Block
     }
 
     @Override
-    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int x, int y, int z, int meta, TileEntity tileEntity)
+    public ItemStack[] getBreakResult(World world, EnumDropCause dropCause, int x, int y, int z, int meta, BlockEntity blockEntity)
     {
         return new ItemStack[] { null };//new ItemStack(Item.candleSoulwax) };
     }
 
     @Override
-    public void randomDisplayTick(World world, int x, int y, int z, Random rand)
+    public void animationTick(World world, int x, int y, int z, Random rand)
     {
         double d = x + 0.5D;
         double d1 = y + 0.7D;
diff --git a/src/main/java/net/minecraft/core/block/BlockFenceChainlink.java b/src/main/java/net/minecraft/core/block/ChainlinkFenceBlock.java
similarity index 92%
rename from src/main/java/net/minecraft/core/block/BlockFenceChainlink.java
rename to src/main/java/net/minecraft/core/block/ChainlinkFenceBlock.java
index d07523b27..c6dbcab90 100644
--- a/src/main/java/net/minecraft/core/block/BlockFenceChainlink.java
+++ b/src/main/java/net/minecraft/core/block/ChainlinkFenceBlock.java
@@ -6,11 +6,11 @@ import net.minecraft.core.util.helper.Direction;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.WorldSource;
 
-public class BlockFenceChainlink extends BlockFenceThin
+public class ChainlinkFenceBlock extends ThinFenceBlock
 {
-    public BlockFenceChainlink(String key, int id, Material material)
+    public ChainlinkFenceBlock(String key, String namespaceId, int id, Material material)
     {
-        super(key, id, material);
+        super(key, namespaceId, id, material);
     }
 
     @Override
diff --git a/src/main/java/net/minecraft/core/block/BlockLeavesCherry.java b/src/main/java/net/minecraft/core/block/CherryLeavesBlock.java
similarity index 62%
rename from src/main/java/net/minecraft/core/block/BlockLeavesCherry.java
rename to src/main/java/net/minecraft/core/block/CherryLeavesBlock.java
index 5601114a8..f5b8a293a 100644
--- a/src/main/java/net/minecraft/core/block/BlockLeavesCherry.java
+++ b/src/main/java/net/minecraft/core/block/CherryLeavesBlock.java
@@ -7,21 +7,21 @@ import net.minecraft.core.world.season.Seasons;
 import java.util.Random;
 
 // Referenced classes of package net.minecraft.src:
-//            BlockLeavesBase, Material, ColorizerFoliage, IBlockAccess, 
-//            WorldChunkManager, World, Block, EntityPlayer, 
+//            BaseLeavesBlock, Material, ColorizerFoliage, IBlockAccess,
+//            WorldChunkManager, World, Block, Player,
 //            ItemStack, Item, ItemShears, StatList, 
 //            Entity
 
-public class BlockLeavesCherry extends BlockLeavesBase
+public class CherryLeavesBlock extends BaseLeavesBlock
 {
 
-	public BlockLeavesCherry(String key, int id)
+	public CherryLeavesBlock(String key, String namespaceId, int id)
     {
-        super(key, id, Material.leaves);
+        super(key, namespaceId, id, Material.leaves);
     }
 
     @Override
-	public void randomDisplayTick(World world, int x, int y, int z, Random rand)
+	public void animationTick(World world, int x, int y, int z, Random rand)
     {
         if (world.getSeasonManager().getCurrentSeason() != null && world.getSeasonManager().getCurrentSeason() == Seasons.OVERWORLD_SPRING && rand.nextInt(40) == 0)
         {
@@ -32,6 +32,6 @@ public class BlockLeavesCherry extends BlockLeavesBase
     @Override
     protected Block getSapling()
     {
-        return Block.saplingCherry;
+        return Blocks.SAPLING_CHERRY;
     }
 }
